DestinationOrder (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.resolver.order, enum: DestinationOrder

Package org.apache.hadoop.hdfs.server.federation.resolver.order

# Enum Class DestinationOrder

java.lang.Object
java.lang.Enum<DestinationOrder>
org.apache.hadoop.hdfs.server.federation.resolver.order.DestinationOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<DestinationOrder>`, `Constable`

public enum DestinationOrder extends Enum<DestinationOrder>
Order of the destinations when we have multiple of them. When the resolver of files to subclusters (FileSubclusterResolver) has multiple destinations, this determines which location should be checked first.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HASH`
  `HASH_ALL`
  `LEADER_FOLLOWER`
  `LOCAL`
  `RANDOM`
  `SPACE`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final EnumSet<DestinationOrder>`
  `FOLDER_ALL`
  Approaches that write folders in all subclusters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DestinationOrder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DestinationOrder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HASH

    public static final DestinationOrder HASH

  - ### LOCAL

    public static final DestinationOrder LOCAL

  - ### RANDOM

    public static final DestinationOrder RANDOM

  - ### HASH_ALL

    public static final DestinationOrder HASH_ALL

  - ### SPACE

    public static final DestinationOrder SPACE

  - ### LEADER_FOLLOWER

    public static final DestinationOrder LEADER_FOLLOWER

- ## Field Details

  - ### FOLDER_ALL

    public static final EnumSet<DestinationOrder> FOLDER_ALL
    Approaches that write folders in all subclusters.

- ## Method Details

  - ### values

    public static DestinationOrder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DestinationOrder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null